# $Revision: 1.38 $, $Date: 2004/07/04 21:59:00 $
#
# Conditional build:
%bcond_without	static	# don't build static version
#
Summary:	Text editor compatible with Vi
Summary(pl):	Edytor tekstu kompatybilny z Vi
Name:		vile
Version:	9.4
Release:	2
License:	GPL
Group:		Applications/Editors
# Source0:	ftp://ftp.clark.net/pub/dickey/vile/%{name}-%{version}.tgz
Source0:	ftp://invisible-island.net/vile/%{name}-%{version}.tgz
# Source0-md5:	1c69045467b7c48be99fa7ac2052a95f
Source1:	x%{name}.desktop
Patch0:		%{name}-ac_fix.patch
Patch1:		%{name}-nolibs.patch
Icon:		vile.xpm
URL:		http://www.clark.net/pub/dickey/vile/vile.html
BuildRequires:	XFree86-libs
BuildRequires:	autoconf
BuildRequires:	automake
%{?with_static:BuildRequires:	glibc-static}
BuildRequires:	ncurses-devel
%{?with_static:BuildRequires:	ncurses-static}
Requires:	%{name}-common = %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
vile is a text editor which is extremely compatible with vi in terms
of "finger feel". in addition, it has extended capabilities in many
areas, notably multi-file editing and viewing, key rebinding, and real
X window system support.

%description -l pl
vile to edytor tekstu cile kompatybilny z Vi jeli chodzi o
klawiszologi. Posiada wiele przydatnych dodatkw jak moliwo edycji
wielu plikw rwnoczenie, przemapowywanie klawiszy czy interfejs dla
X Window.

%package common
Summary:	Common files for vile and xvile
Summary(pl):	Wsplne pliki vile i xvile
Group:		Applications/Editors

%description common
This package contains common files for vile and xvile.

%description common -l pl
Ten pakiet zawiera pliki wsplne dla vile i xvile.

%package static
Summary:	vile static
Summary(pl):	vile skompilowany statycznie
Group:		Applications/Editors
Provides:	vi
Obsoletes:	vi

%description static
The classic unix /bin/vi - small, static comiled editor which is
useful as a rescue tool.

%description static -l pl
Klasyczny uniksowy /bin/vi - may, skompilowany statycznie edytor,
ktry przydaje si przy awarii systemu.

%package X11
Summary:	xvile (vile with X11 support)
Summary(pl):	xvile (vile dla X Window)
Group:		Applications/Editors
Requires:	%{name}-common = %{version}

%description X11
xvile - vile with X11 support.

%description X11 -l pl
xvile - vile dla X Window.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
cp -f /usr/share/automake/config.sub .
rm -f configure
%{__autoheader}
%{__autoconf}
%if %{with static}
IMAKE_LOADFLAGS="%{rpmldflags} -static"; export IMAKE_LOADFLAGS
%configure \
	--with-screen=ncurses \
	--with-CFLAGS="%{rpmcflags}"

%{__make} \
	LIBS="-lcrypt -lncurses -ltinfo"
mv -f vile vile.static
%{__make} distclean
%endif

IMAKE_LOADFLAGS="%{rpmldflags}"; export IMAKE_LOADFLAGS
%configure \
	--with-screen=x11 \
	--with-locale \
	--with-CFLAGS="%{rpmcflags}"

%{__make} xvile
mv -f xvile vile.x11
%{__make} distclean

%configure \
	--with-screen=ncurses \
	--with-locale \
	--with-CFLAGS="%{rpmcflags}"

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},/bin,%{_mandir}/man1,%{_datadir}/vile} \
	$RPM_BUILD_ROOT%{_desktopdir}

install vile $RPM_BUILD_ROOT%{_bindir}/vile
%{?with_static:install vile.static $RPM_BUILD_ROOT/bin/vi}
install vile.x11 $RPM_BUILD_ROOT%{_bindir}/xvile
install vile.1 $RPM_BUILD_ROOT%{_mandir}/man1

install vile.hlp $RPM_BUILD_ROOT%{_datadir}/vile

%{__make} -C filters install \
	datadir=$RPM_BUILD_ROOT%{_datadir}/vile \
	bindir=$RPM_BUILD_ROOT%{_bindir}

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/vile

%files common
%defattr(644,root,root,755)
%doc README* CHANGES* doc/*
%{_mandir}/man1/vile.1*
%attr(755,root,root) %{_bindir}/atr2*
%attr(755,root,root) %{_bindir}/vile-*
%{_datadir}/vile

%if %{with static}
%files static
%defattr(644,root,root,755)
%attr(755,root,root) /bin/vi
%endif

%files X11
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/xvile
%{_desktopdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: vile.spec,v $
Revision 1.38  2004/07/04 21:59:00  adamg
- refresh config.sub; BR: automake

Revision 1.37  2004/07/04 21:51:28  adamg
- applnk -> vfolders; release 2

Revision 1.36  2003/08/17 12:49:55  qboosh
- 9.4
- different ac_fix patch (workaround config.h hackery)
- added nolibs patch (no -lnsl in X version)
- added _without_static bcond
- typos, killed /usr/X11R6 for xvile, -common deps

Revision 1.35  2003/06/23 08:42:53  ankry
- md5

Revision 1.34  2003/05/25 06:27:41  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.33  2002/10/30 13:09:43  ankry
- desktop moved to toplevel Editors, typo, rel. 0.2 (still does nit build)

Revision 1.32  2002/10/08 13:52:29  qboosh
- BR: autoconf,automake

Revision 1.31  2002/07/29 02:19:06  blues
- 9.3 (forgotten commit) - release 0.1
- ac_fix added
- new doc

Revision 1.30  2002/05/21 23:14:53  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.29  2002/02/22 23:29:52  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.28  2002/02/19 18:53:36  gotar
- %desc

Revision 1.27  2002/02/10 23:14:08  blues
- some workarounds

Revision 1.26  2002/01/22 13:25:14  ankry
- fixed source URL; ftp mirrors are changed/dead
- updated to 9.2; 9.1 no longer available; build process untested
- release 1

Revision 1.25  2002/01/18 02:15:17  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.24  2001/05/03 01:14:04  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.23  2000/07/13 23:30:41  baggins
- release 3
- rebuild with ncurses 5.1

Revision 1.22  2000/06/09 07:55:13  kloczek
- more %%{__make} macros.

Revision 1.21  2000/06/09 07:24:01  kloczek
- added using %%{__make} macro.

Revision 1.20  2000/06/01 20:05:34  michuz
- release 2
- %%applnkdir changed

Revision 1.19  2000/05/21 16:44:10  kloczek
- spec adapterized.

Revision 1.18  2000/04/01 11:15:52  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.17  2000/03/28 16:55:08  baggins
- translated kloczkish into english

Revision 1.16  1999/09/04 09:02:33  wiget
 - /etc/X11/applnk -> /usr/X11R6/share/applnk

Revision 1.15  1999/07/20 12:48:11  wiget
- switch to rpm 3.0.2

Revision 1.14  1999/07/14 00:28:57  kloczek
- addedd installing filters vile.hlp,
- fixed passing $RPM_OPT_FLAGS and -static,
- added using %%configure macros,
- revision changed to 2.1.

Revision 1.13  1999/07/13 17:59:17  baggins
- cosmetics

Revision 1.12  1999/07/12 23:06:16  kloczek
- added using CVS keywords in %changelog (for automating them).

* Mon May 31 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [8.3-2]
- added using more rpm macros.

* Sat Apr 24 1999 Micha Kuratczyk <kura@pld.org.pl>
  [8.3-1]
- initial release
